---
updatedAt: 2024-11-21T17:36:34.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Booked 36-Month Trendline

<HTMLBlock>{`
<table>
  <tr>
    <th style="background:#10A54A;color:white">POST</th>
    <th style="background:#E7F6EC;color:black">
      rateinsights/v3/booked/history/threeyear
    </th>
    <th style="background:#E7F6EC;color:black">
      Returns a trendline for last 3 years.
    </th>
  </tr>
  <tr><td colspan=3><hr/></td></tr>
	<tr>
		<td>Authorization</td>
		<td colspan=2>bearer token</td>
	</tr>   
	<tr>
		<td>Content Type</td>
		<td colspan=2>application/json</td>
	</tr>
  <tr>
		<td>Accept</td>
		<td colspan=2>application/json</td>
	</tr>
	<tr>
		<td>URL Params</td>
		<td colspan=2>None</td>
	</tr>
	<tr>
		<td>Body Params</td>
		<td colspan=2>JSON Object</td>
	</tr>
</table>
`}</HTMLBlock>

<br />

> 📘 Booked 36-Month Trend
>
> > 👍 Note:
> >
> > \*\* Indicates an optional field
>
> ```curl Request
> curl --request POST \
>      --url https://example.com/modeledrate/v3/booked/history/threeyear \
>      --header 'accept: application/json' \
>      --header 'content-type: application/json' \
>      --header 'authorization: Bearer c5dc1bd2fbad438ea95d5f8196c21f3d0edaf9f4147f4a7296d54210b83d93a5' \
>      --data '{
>     "BookedDateTime": "2022-10-25T20:35:04.423Z",
>     "Origin":{
>         "Address": "",
>         "City": "Boston",
>         "StateCode": "MA",
>         "ZipCode": "02205",
>         "Latitude": 42.358990,
>         "Longitude": -71.058632
>     },
>     "Destination":{
>         "Address": "",
>         "City": "Boise",
>         "StateCode": "ID",
>         "ZipCode": "83707",
>         "Latitude": 43.6150,
>         "Longitude": -116.2023
>     },
>     "Mileage": 2666,
>     "TransportationMode": "TL",
>     "EquipmentCode": "F",
>     "Weight": 48000,
>     "MultiPickDrop": null,
>     "CommodityId": null
> }'
> ```
> ```curl Response
> {
>     "results": [
>         {
>             "ratePerMile": 1.70,
>             "prediction": 4529.06,
>             "date": "2019-11-30T00:00:00"
>         },
>         {
>             "ratePerMile": 1.73,
>             "prediction": 4623.29,
>             "date": "2019-12-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.73,
>             "prediction": 4600.97,
>             "date": "2020-01-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.67,
>             "prediction": 4455.8,
>             "date": "2020-02-29T00:00:00"
>         },
>         {
>             "ratePerMile": 1.77,
>             "prediction": 4707.49,
>             "date": "2020-03-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.67,
>             "prediction": 4439.09,
>             "date": "2020-04-30T00:00:00"
>         },
>         {
>             "ratePerMile": 1.68,
>             "prediction": 4474.87,
>             "date": "2020-05-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.83,
>             "prediction": 4867.16,
>             "date": "2020-06-30T00:00:00"
>         },
>         {
>             "ratePerMile": 1.88,
>             "prediction": 5013.72,
>             "date": "2020-07-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.91,
>             "prediction": 5102.94,
>             "date": "2020-08-31T00:00:00"
>         },
>         {
>             "ratePerMile": 1.94,
>             "prediction": 5178.53,
>             "date": "2020-09-30T00:00:00"
>         },
>         {
>             "ratePerMile": 1.99,
>             "prediction": 5311.02,
>             "date": "2020-10-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.00,
>             "prediction": 5324.1,
>             "date": "2020-11-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.06,
>             "prediction": 5491.54,
>             "date": "2020-12-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.04,
>             "prediction": 5437.6,
>             "date": "2021-01-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.10,
>             "prediction": 5592.2,
>             "date": "2021-02-28T00:00:00"
>         },
>         {
>             "ratePerMile": 2.24,
>             "prediction": 5965.1,
>             "date": "2021-03-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.34,
>             "prediction": 6225.48,
>             "date": "2021-04-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.52,
>             "prediction": 6722.53,
>             "date": "2021-05-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.61,
>             "prediction": 6952.17,
>             "date": "2021-06-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.54,
>             "prediction": 6778.29,
>             "date": "2021-07-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.54,
>             "prediction": 6759.8,
>             "date": "2021-08-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.54,
>             "prediction": 6778.69,
>             "date": "2021-09-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.58,
>             "prediction": 6877.99,
>             "date": "2021-10-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.60,
>             "prediction": 6922.5,
>             "date": "2021-11-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.67,
>             "prediction": 7124.18,
>             "date": "2021-12-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.66,
>             "prediction": 7086.31,
>             "date": "2022-01-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.64,
>             "prediction": 7031.08,
>             "date": "2022-02-28T00:00:00"
>         },
>         {
>             "ratePerMile": 2.75,
>             "prediction": 7318.51,
>             "date": "2022-03-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.71,
>             "prediction": 7233.94,
>             "date": "2022-04-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.77,
>             "prediction": 7373.92,
>             "date": "2022-05-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.80,
>             "prediction": 7459.32,
>             "date": "2022-06-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.69,
>             "prediction": 7167.07,
>             "date": "2022-07-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.58,
>             "prediction": 6886.77,
>             "date": "2022-08-31T00:00:00"
>         },
>         {
>             "ratePerMile": 2.49,
>             "prediction": 6639.58,
>             "date": "2022-09-30T00:00:00"
>         },
>         {
>             "ratePerMile": 2.42,
>             "prediction": 6455.65,
>             "date": "2022-10-31T00:00:00"
>         }
>     ]
> }
> ```